module Color.Rgb.Blue exposing
    ( aliceblue
    , lavender
    , powderblue
    , lightblue
    , lightskyblue
    , skyblue
    , deepskyblue
    , lightsteelblue
    , dodgerblue
    , cornflowerblue
    , steelblue
    , cadetblue
    , mediumslateblue
    , slateblue
    , darkslateblue
    , royalblue
    , blue
    , mediumblue
    , darkblue
    , navy
    , midnightblue
    , blueviolet
    , indigo
    )

{-| The Blue range of Colors.


# HTML/CSS color names

@docs aliceblue
@docs lavender
@docs powderblue
@docs lightblue
@docs lightskyblue
@docs skyblue
@docs deepskyblue
@docs lightsteelblue
@docs dodgerblue
@docs cornflowerblue
@docs steelblue
@docs cadetblue
@docs mediumslateblue
@docs slateblue
@docs darkslateblue
@docs royalblue
@docs blue
@docs mediumblue
@docs darkblue
@docs navy
@docs midnightblue
@docs blueviolet
@docs indigo

-}

import Element exposing (Color, rgb255)


{-| rgb(240, 248, 255)
#F0F8FF
-}
aliceblue : Color
aliceblue =
    rgb255 240 248 255


{-| rgb(230, 230, 250)
#E6E6FA
-}
lavender : Color
lavender =
    rgb255 230 230 250


{-| rgb(176, 224, 230)
#B0E0E6
-}
powderblue : Color
powderblue =
    rgb255 176 224 230


{-| rgb(173, 216, 230)
#ADD8E6
-}
lightblue : Color
lightblue =
    rgb255 173 216 230


{-| rgb(135, 206, 250)
#87CEFA
-}
lightskyblue : Color
lightskyblue =
    rgb255 135 206 250


{-| rgb(135, 206, 235)
#87CEEB
-}
skyblue : Color
skyblue =
    rgb255 135 206 235


{-| rgb(0, 191, 255)
#00BFFF
-}
deepskyblue : Color
deepskyblue =
    rgb255 0 191 255


{-| rgb(176, 196, 222)
#B0C4DE
-}
lightsteelblue : Color
lightsteelblue =
    rgb255 176 196 222


{-| rgb(30, 144, 255)
#1E90FF
-}
dodgerblue : Color
dodgerblue =
    rgb255 30 144 255


{-| rgb(100, 149, 237)
#6495ED
-}
cornflowerblue : Color
cornflowerblue =
    rgb255 100 149 237


{-| rgb(70, 130, 180)
#4682B4
-}
steelblue : Color
steelblue =
    rgb255 70 130 180


{-| rgb(95, 158, 160)
#5F9EA0
-}
cadetblue : Color
cadetblue =
    rgb255 95 158 160


{-| rgb(123, 104, 238)
#7B68EE
-}
mediumslateblue : Color
mediumslateblue =
    rgb255 123 104 238


{-| rgb(106, 90, 205)
#6A5ACD
-}
slateblue : Color
slateblue =
    rgb255 106 90 205


{-| rgb(72, 61, 139)
#483D8B
-}
darkslateblue : Color
darkslateblue =
    rgb255 72 61 139


{-| rgb(65, 105, 225)
#4169E1
-}
royalblue : Color
royalblue =
    rgb255 65 105 225


{-| rgb(0, 0, 255)
#0000FF
-}
blue : Color
blue =
    rgb255 0 0 255


{-| rgb(0, 0, 205)
#0000CD
-}
mediumblue : Color
mediumblue =
    rgb255 0 0 205


{-| rgb(0, 0, 139)
#00008B
-}
darkblue : Color
darkblue =
    rgb255 0 0 139


{-| rgb(0, 0, 128)
#000080
-}
navy : Color
navy =
    rgb255 0 0 128


{-| rgb(25, 25, 112)
#191970
-}
midnightblue : Color
midnightblue =
    rgb255 25 25 112


{-| rgb(138, 43, 226)
#8A2BE2
-}
blueviolet : Color
blueviolet =
    rgb255 138 43 226


{-| rgb(75, 0, 130)
#4B0082
-}
indigo : Color
indigo =
    rgb255 75 0 130
